const suites = require("../test_utils/domjquery_suite");

suites.LittleDomWithTheJJSuite(
    "jQuery.fn.extend.adonHelloWorld",
    "../../js/adonHelloWorld.js",
    function() {
        it("the DOM has some test html", done => {
            // $("body").innerHTML = "<blockquote>PRETEST</blockquote>";
            $("blockquote")[0].should.have.text("PRETEST");
            $("blockquote")[0].should.not.have.class("adonHelloWorld");
            done();
        });

        it("adds class adonHelloWorld to tag", done => {
            $("blockquote")[0].should.have.text("PRETEST");
            $("blockquote")[0].should.not.have.class("adonHelloWorld");
            $("blockquote").adonHelloWorld();
            $("blockquote")[0].should.have.text("Hello World");
            $("blockquote")[0].should.have.class("adonHelloWorld");
            done();
        });
    }
);

suites.LittleDomWithTheJJSuite(
    "jQuery.fn.extend._goodbyeWorld",
    "../../js/adonHelloWorld.js",
    function() {
        it("puts back the original text", done => {
            $("blockquote")[0].should.have.text("PRETEST");
            $("blockquote").adonHelloWorld();
            $("blockquote")[0].should.have.text("Hello World");
            $("blockquote")._goodbyeWorld();
            $("blockquote")[0].should.have.text("PRETEST");
            done();
        });

        it("removes class adonHelloWorld from element", done => {
            $("blockquote").adonHelloWorld();
            $("blockquote")[0].should.have.class("adonHelloWorld");
            $("blockquote")._goodbyeWorld();
            $("blockquote")[0].should.not.have.class("adonHelloWorld");
            done();
        });
    }
);
