const suites = require("../test_utils/domjquery_suite");

suites.LittleDomWithTheJJSuite(
    "jQuery.fn.extend.adonStatus",
    "../../js/adonStatus.js",
    function() {
        it("adonStatus", done => {
            $("blockquote").adonStatus("testing");
            $("blockquote")[0].should.have.class("adonStatus-testing");
            $("blockquote")
                .adonStatus()
                .should.equal("testing");
            $("blockquote")._adofStatus();
            $("blockquote")[0].className.should.equal("");
            done();
        });
        it("adonStatus usage", done => {
            $("blockquote").adonStatus("retesting");
            $("blockquote")[0].should.have.class("adonStatus-retesting");
            $("blockquote")
                .adonStatus()
                .should.equal("retesting");
            $("blockquote")._adofStatus();
            done();
        });
        it("adonStatus adonDisable", done => {
            $("blockquote").adonDisable();
            $("blockquote")[0].should.have.class("adonStatus-disabled");
            $("blockquote")
                .adonStatus()
                .should.equal("disabled");
            $("blockquote")._adofStatus();
            done();
        });
        it("adonStatus adonRaise", done => {
            $("blockquote").adonRaise();
            $("blockquote")[0].should.have.class("adonStatus-error");
            $("blockquote")
                .adonStatus()
                .should.equal("error");
            $("blockquote")._adofStatus();
            done();
        });
        it("adonStatus adonEnable", done => {
            $("blockquote").adonEnable();
            $("blockquote")[0].should.have.class("adonStatus-enabled");
            $("blockquote")
                .adonStatus()
                .should.equal("enabled");
            $("blockquote")._adofStatus();
            done();
        });
        //
        it("adonStatus adonHasStatus", done => {
            $("blockquote").adonDisable();
            $("blockquote")[0].should.have.class("adonStatus-disabled");
            $("blockquote")
                .adonHasStatus("enabled")
                .should.equal(false);
            $("blockquote")
                .adonHasStatus("disabled")
                .should.equal(true);
            $("blockquote")._adofStatus();
            done();
        });
    }
);
