const suites = require("../test_utils/domjquery_suite");

suites.LittleDomWithTheJJSuite(
    "jQuery.fn.extend.adonMadStuff",
    "../../js/adonMadStuff.js",
    function() {
        it("the DOM has some test html", done => {
            // $("body").innerHTML = "<blockquote>PRETEST</blockquote>";
            $("blockquote")[0].should.have.text("PRETEST");
            $("blockquote")[0].should.not.have.class("adonHelloWorld");
            done();
        });

        it("does all kinds of mad stuff", done => {
            $("blockquote").adonMadStuff(true);
            $("blockquote")[0].should.have.class("adonMadStuff");
            $("blockquote")[0].should.have.class("adonMadStuffCol");
            $("blockquote")[0].should.not.have.class("adonactive");
            $("blockquote")._adofMadStuff();
            $("blockquote")[0].should.not.have.class("adonMadStuff");
            $("blockquote")[0].should.not.have.class("adonMadStuffCol");
            $("blockquote")[0].should.not.have.class("adonactive");
            done();
        });

        it("does color mad stuff only", done => {
            $("blockquote").adonMadStuff(false);
            $("blockquote")[0].should.not.have.class("adonMadStuff");
            $("blockquote")[0].should.have.class("adonMadStuffCol");
            $("blockquote")[0].should.not.have.class("adonactive");
            $("blockquote")._adofMadStuff();
            $("blockquote")[0].should.not.have.class("adonMadStuff");
            $("blockquote")[0].should.not.have.class("adonMadStuffCol");
            $("blockquote")[0].should.not.have.class("adonactive");
            done();
        });
    }
);
