require("jsdom-global")();
global.jQuery = require("jquery");
global.$ = global.jQuery;
global.expect = require("chai").use(require("chai-dom")).expect;
global.should = require("chai").use(require("chai-dom")).should();


exports.LittleDomWithTheJJSuite = function(testname, script, tests) {
    describe(testname, function() {
        var mylib;
        // var cleanup = require("jsdom-global")();

        before(done => {

            mylib = require(script) || window.mylib;
            done();
        });

        beforeEach(done => {
            document.body.innerHTML = "<blockquote>PRETEST</blockquote>";
            done();
        });

        tests();

        after(done => {
            // cleanup();
            done();
        });
    });
};
